const baseSize = 16; // 基准大小
let timer: Timer = null;
type Timer = ReturnType<typeof setTimeout> | null;
function setRem() {
  if (timer) clearTimeout(timer);
  timer = setTimeout(() => {
    // 当前页面屏幕分辨率相对于 1920 宽的缩放比例，可根据自己需要修改
    const scale = document.documentElement.clientWidth / 1920;
    // 设置页面根节点字体大小“ Math.min(scale, 3) ”指最高放大比例为3，可根据实际业务需求调整）
    document.documentElement.style.fontSize = `${baseSize * Math.min(scale, 2)}px`;
  }, 100);
}
setRem();
window.addEventListener('resize', setRem);

export function rem(num: number): number {
  const clientWidth = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth;
  if (!clientWidth) return 0;
  const fontSize = clientWidth / 1920;
  return num * fontSize;
}
